.nf-prod-cat-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;
    margin: 20px 0;
}

.nf-cat-item {
	width: 100%;
    position: relative;
    height: 400px;
    background-size: cover;
    background-position: center;
    border-radius: 12px;
    overflow: hidden;
    transition: transform 0.5s ease;
}

@media (max-width: 769px){
    .nf-prod-cat-grid {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
        gap: 10px;

}

.nf-cat-image {
      height: 262px !important;
 
}

.nf-cat-overlay {
         padding: 10px !important;

}
.nf-cat-overlay h3 {
        font-size: 17px!important;
}
}



.nf-cat-link {
    display: block;
    position: relative;
    overflow: hidden;
    text-decoration: none;
}

.nf-cat-link:hover .nf-cat-image {
    transform: scale(1.04);
}

.nf-cat-image {
    width: 100%;
    height: 400px; 
    background-size: cover;
    background-position: center;
    transition: transform 0.5s ease;
}

.nf-cat-overlay {
position: absolute;
        top: 0px;
        padding: 15px;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: flex-end;
        justify-content: center;
        pointer-events: none;
}

.nf-cat-overlay h3 { margin-top: 0; color: #fff;text-align: center;
        font-weight: 900;
        margin-top: 0;
        color: #fff;
        font-size: 20px;
}



